- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/query.c File Reference

Display tag values from package metadata. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "manifest.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | PATH_MAX 255
## Functions
static void | printFileInfo (char *te, const char *name, unsigned int size, unsigned short mode, unsigned int mtime, unsigned short rdev, unsigned int nlink, const char *owner, const char *group, int uid, int gid, const char *linkto)
static const char * | queryHeader (Header h, const char *qfmt)
static int | countLinks (int_16 *fileRdevList, int_32 *fileInodeList, int nfiles, int xfile)
int | showQueryPackage (QVA_t qva, rpmdb rpmdb, Header h)
| Display results of package query.
static void | printNewSpecfile (Spec spec)
void | rpmDisplayQueryTags (FILE *fp)
| Display list of tags that can be used in --queryformat.
int | showMatches (QVA_t qva, rpmdbMatchIterator mi, QVF_t showPackage)
| Display query/verify information for each header in iterator.
static unsigned char | nibble (char c)
| Convert hex to binary nibble.
int | rpmQueryVerify (QVA_t qva, rpmQVSources source, const char *arg, rpmdb rpmdb, QVF_t showPackage)
| Common query/verify source interface, called once for each CLI arg.
int | rpmQuery (QVA_t qva, rpmQVSources source, const char *arg)
| Display package information.
## Variables
int(*) | parseSpecVec (Spec *specp, const char *specFile, const char *rootdir, const char *buildRoot, int recursing, const char *passPhrase, char *cookie, int anyarch, int force) = NULL
  | Return values:
  | specp | spec file control structure
Spec(*) | freeSpecVec (Spec spec) = NULL
  | Parameters:
  | spec | spec file control structure

## Detailed Description

Display tag values from package metadata.

Definition in file query.c.

## Define Documentation

#define PATH_MAX 255

Definition at line 10 of file query.c.

## Function Documentation

static int countLinks | ( | int_16 * | fileRdevList,
|  | int_32 * | fileInodeList,
|  | int | nfiles,
|  | int | xfile |
| ) |  |  | `[static]`

Definition at line 125 of file query.c.

Referenced by showQueryPackage().

static unsigned char nibble | ( | char | c | ) | `[inline, static]`

Convert hex to binary nibble.

Parameters:

  | c | hex character

Returns:
  binary nibble

Definition at line 555 of file query.c.

Referenced by rpmQueryVerify().

static void printFileInfo | ( | char * | te,
|  | const char * | name,
|  | unsigned int | size,
|  | unsigned short | mode,
|  | unsigned int | mtime,
|  | unsigned short | rdev,
|  | unsigned int | nlink,
|  | const char * | owner,
|  | const char * | group,
|  | int | uid,
|  | int | gid,
|  | const char * | linkto |
| ) |  |  | `[static]`

Definition at line 26 of file query.c.

References _free(), alloca(), rpmPermsString(), and S_ISLNK.

Referenced by showQueryPackage().

static void printNewSpecfile | ( | Spec | spec | ) | `[static]`

Definition at line 406 of file query.c.

References _, _free(), PackageStruct::header, headerNVR(), headerSprintf(), PackageStruct::next, SpecStruct::packages, RPMBUILD_DEFAULT_LANG, RPMERR_QFMT, rpmError, rpmHeaderFormats, RPMTAG_DESCRIPTION, RPMTAG_GROUP, RPMTAG_SUMMARY, rpmTagTable, SpecStruct::sl, speclines_s::sl_lines, SpecStruct::st, spectags_s::st_ntags, spectags_s::st_t, stpcpy(), tagName(), xmalloc(), and xstrdup().

Referenced by rpmQueryVerify().

static const char* queryHeader | ( | Header | h,
|  | const char * | qfmt |
| ) |  |  | `[inline, static]`

Definition at line 111 of file query.c.

References _, headerSprintf(), RPMERR_QFMT, rpmError, rpmHeaderFormats, and rpmTagTable.

Referenced by showQueryPackage().